> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch facets

> Fetch available facets like attributes, variant names, and price ranges. Facet keys is a comma separated string. Valid keys are: "attributes", "attributes[template_key1|template_key2]", "variant_names", "price", "tags", "collections", "categories", "brands", "series", "variant_with_attributes[template_key1|template_key2]". Product filters are optional. Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/facets/{facet_keys}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/facets/{facet_keys}:
    get:
      tags:
        - Facets
      summary: Fetch facets
      description: >-
        Fetch available facets like attributes, variant names, and price ranges.
        Facet keys is a comma separated string. Valid keys are: "attributes",
        "attributes[template_key1|template_key2]", "variant_names", "price",
        "tags", "collections", "categories", "brands", "series",
        "variant_with_attributes[template_key1|template_key2]". Product filters
        are optional. Deprecated. Use https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Store group
          in: path
          name: store_group
          required: true
          schema:
            type: string
        - description: Market slug
          in: path
          name: market
          required: true
          schema:
            type: string
        - description: Locale for translations
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: >-
            Comma-separated list of facet keys (e.g.,
            attributes,attributes[color|size],variant_names,price,tags,collections,categories,brands,series,variant_with_attributes[color|size])
          in: path
          name: facet_keys
          required: true
          schema:
            type: string
        - description: Comma-separated list of category UUIDs to filter products
          in: query
          name: category_ids
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Comma-separated list of collection UUIDs to filter products
          in: query
          name: collection_ids
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Comma-separated list of product SKUs to filter products
          in: query
          name: skus
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Full text search on products
          in: query
          name: search
          schema:
            type: string
        - description: Store group slug
          in: path
          name: store_group
          schema:
            type: string
          required: true
        - description: Include variant attributes in the response
          in: query
          name: include_variants
          schema:
            type: boolean
        - description: Only include facets from available products/variants
          in: query
          name: only_available
          schema:
            type: boolean
        - description: >-
            Include products from child categories when filtering by category or
            category_id
          in: query
          name: include_child_category_products
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OkResponse-github_com_enadhq_goomba_internal_pkg_models_FacetsResponse
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponse-github_com_enadhq_goomba_internal_pkg_models_FacetsResponse:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.FacetsResponse
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.FacetsResponse:
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        brands:
          items:
            $ref: '#/components/schemas/BrandDTO'
          type: array
        categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        collections:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        price_range:
          $ref: >-
            #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.FacetPriceRange
        series:
          items:
            $ref: '#/components/schemas/SeriesDTO'
          type: array
        tags:
          items:
            $ref: '#/components/schemas/FilterTag'
          type: array
        variant_names:
          items:
            type: string
          type: array
        variant_with_attributes:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.FacetVariantWithAttributes
          type: array
      type: object
    AttributeDTO:
      description: >-
        AttributeDTO represents the data transfer object for an attribute with
        its values.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueDTO'
            type: array
          type: object
      type: object
    BrandDTO:
      description: BrandDTO represents the data transfer object for a brand.
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CategoryDTO:
      description: CategoryDTO represents the data transfer object for a category.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CollectionDTO:
      description: CollectionDTO represents the data transfer object for a collection.
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        id:
          type: string
        parent_id:
          type: string
        title:
          type: string
        uri:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.FacetPriceRange:
      properties:
        max:
          type: number
        min:
          type: number
      type: object
    SeriesDTO:
      description: SeriesDTO represents the data transfer object for a series.
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
      type: object
    FilterTag:
      description: FilterTag represents the data transfer object for a tag
      properties:
        id:
          type: string
        key:
          type: string
        name:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.FacetVariantWithAttributes:
      properties:
        attributes:
          additionalProperties:
            $ref: '#/components/schemas/AttributeDTO'
          type: object
        variant_name:
          type: string
        variant_number:
          type: string
      type: object
    AttributeValueDTO:
      description: >-
        AttributeValueDTO represents the data transfer object for an attribute
        value with type information.
      properties:
        image:
          $ref: '#/components/schemas/ImageDTO'
        type:
          type: string
        value:
          type: string
      type: object
    ImageDTO:
      description: ImageDTO represents the data transfer object for an image.
      properties:
        alt:
          type: string
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        blurhash:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        sort:
          type: integer
        title:
          type: string
        url:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````